package com.zxbw.modulemain.activity

import android.view.View
import com.zxbw.modulemain.R
import com.zxhl.cms.AppContext
import com.zxhl.cms.common.base.BaseActivity
import com.zxhl.cms.net.model.box.AppInEntity
import com.zxhl.cms.net.model.video.MemberEntity
import com.zxhl.cms.pay.PayContract
import com.zxhl.cms.pay.PayPresenter

/**
 * @author (wangXuewei)
 * @datetime 2022-05-30 14:12 GMT+8
 * @detail :
 */
class OpenMemberOrderActivity : BaseActivity(),PayContract.View {
    override fun before() {
        super.before()
        setStatusBarBackground(AppContext.get().resources.getColor(R.color.transparent))
    }
    override fun onClick(v: View?) {

    }

    override fun layoutID(): Int {
        return R.layout.activity_layout_member_order
    }

    override fun init() {

    }

    override fun updatePriceList(data: List<MemberEntity.ProductDetail>) {

    }

    override fun verifyOrderFail(errorMsg: String) {

    }

    override fun requestOrderSuc() {

    }

    override fun requestH5OrderSuc(form: String) {

    }

    override fun verifyOrderSuc(orsder: String) {

    }

    override fun setCanInvest(boolean: Boolean?) {

    }

    override fun setOrderNo(order: String?) {

    }

    override fun setAppInfo(result: AppInEntity?) {

    }
}